curl --request GET \
--url https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}/{address_id} \
--header 'X-Platform-ID: <x-platform-id>' \
--header 'X-Signature: <x-signature>'import requests
url = "https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}/{address_id}"
headers = {
"X-Platform-ID": "<x-platform-id>",
"X-Signature": "<x-signature>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Platform-ID': '<x-platform-id>', 'X-Signature': '<x-signature>'}
};
fetch('https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}/{address_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed.",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"queryGeneratedTime": 1718006400
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get a Payee Address
Fetches a single cross-border payee address by its id.
Returns the submitted address fields. Returns 404 if the address does not exist for the user.
Headers
Unique platform identifier (UUID). You receive this during onboarding. Must be sent with every API request.
HMAC-SHA256 request signature for authentication. Use your platform secret key to compute it as: METHOD + PATH + QUERY + BODY_HASH.
Path Parameters
Unique identifier (UUID) of the platform user.
Unique identifier (UUID) of the cross-border address.
Response
Successful Response
Indicates whether the request was processed successfully.
true
A short, human-readable message describing the result of the request.
"Operation completed."
The main response payload, if applicable
Show child attributes
Show child attributes
The Unix timestamp (in seconds) indicating when the response was generated.
1718006400

